Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Set product variant templates

Replaces the variant templates for a product

PUT/api/v1/{team_slug}/{app_slug}/products/{product_id}/variant-groups/templates
Path parameters
team_slugstringrequired

Team slug

app_slugstringrequired

App slug

product_idstringrequired

Product ID

Request body
requiredapplication/json

Attribute template keys

attribute_template_keysstring[]required
min items 1 · max items 10
Responses
200

Updated variant templates

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantTemplate[]required
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantTemplate
attribute_template_idstring
created_atstring
idstring
template_keystring
template_namestring
updated_atstring | null
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
404

Attribute template not found

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X PUT 'https://api.enad.io/api/v1/string/string/products/string/variant-groups/templates' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "attribute_template_keys": [
    "string"
  ]
}'
Response
{
  "data": [
    {
      "attribute_template_id": "string",
      "created_at": "string",
      "id": "string",
      "template_key": "string",
      "template_name": "string",
      "updated_at": "string"
    }
  ],
  "details": [
    "string"
  ],
  "success": true
}